Package net.md_5.bungee.api.event

# Class PluginMessageEvent

java.lang.Object
net.md_5.bungee.api.plugin.Event
net.md_5.bungee.api.event.TargetedEvent
net.md_5.bungee.api.event.PluginMessageEvent

All Implemented Interfaces:
  `Cancellable`

public class PluginMessageEvent extends TargetedEvent implements Cancellable
Event called when a plugin message is sent to the client or server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginMessageEvent(Connection sender, Connection receiver, String tag, byte[] data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `byte[]`
  `getData()`
  Data contained in this plugin message.
  `String`
  `getTag()`
  Tag specified for this plugin message.
  `int`
  `hashCode()`
  `boolean`
  `isCancelled()`
  Cancelled state.
  `void`
  `setCancelled(boolean cancelled)`
  Cancelled state.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.event.TargetedEvent

  `getReceiver, getSender`

  ### Methods inherited from class net.md_5.bungee.api.plugin.Event

  `postCall`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PluginMessageEvent

    public PluginMessageEvent(Connection sender, Connection receiver, String tag, byte[] data)

- ## Method Details

  - ### isCancelled

    public boolean isCancelled()
    Cancelled state.
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      the cancelled state of this event

  - ### getTag

    public String getTag()
    Tag specified for this plugin message.

  - ### getData

    public byte[] getData()
    Data contained in this plugin message.

  - ### setCancelled

    public void setCancelled(boolean cancelled)
    Cancelled state.
    Specified by:
      `setCancelled` in interface `Cancellable`
    Parameters:
      `cancelled` - the state to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `TargetedEvent`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `TargetedEvent`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `TargetedEvent`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `TargetedEvent`